Freeciv-3.2: fc_double_edge Class Reference

Freeciv-3.2

Loading...
Searching...
No Matches
Public Member Functions | Data Fields | Protected Member Functions | Private Attributes
fc_double_edge Class Reference

`#include <ratesdlg.h>`

Inheritance diagram for fc_double_edge:

## Public Member Functions

| fc_double_edge (QWidget *parent=NULL)
| ~fc_double_edge ()
QSize | sizeHint () const

## Data Fields

int | current_min
int | current_max

## Protected Member Functions

void | paintEvent (QPaintEvent *event)
void | mousePressEvent (QMouseEvent *event)
void | mouseMoveEvent (QMouseEvent *event)

## Private Attributes

double | cursor_size
double | mouse_x
int | moved
bool | on_min
bool | on_max
int | max_rates
QPixmap | cursor_pix

## Detailed Description

Definition at line 51 of file ratesdlg.h.

## Constructor & Destructor Documentation

## ◆ fc_double_edge()

fc_double_edge::fc_double_edge | ( | QWidget * | parent = `NULL` | ) |

Double edged slider constructor

Definition at line 293 of file ratesdlg.cpp.

## ◆ ~fc_double_edge()

fc_double_edge::~fc_double_edge | ( |  | ) |

Double edged slider destructor

Definition at line 316 of file ratesdlg.cpp.

## Member Function Documentation

## ◆ mouseMoveEvent()

void fc_double_edge::mouseMoveEvent | ( | QMouseEvent * | event | ) |

protected

Double edged slider mouse move event

Definition at line 407 of file ratesdlg.cpp.

Referenced by mousePressEvent().

## ◆ mousePressEvent()

void fc_double_edge::mousePressEvent | ( | QMouseEvent * | event | ) |

protected

Double edged slider mouse press event

Definition at line 387 of file ratesdlg.cpp.

## ◆ paintEvent()

void fc_double_edge::paintEvent | ( | QPaintEvent * | event | ) |

protected

Double edge paint event

Definition at line 332 of file ratesdlg.cpp.

## ◆ sizeHint()

QSize fc_double_edge::sizeHint | ( |  | ) | const

Default size for double edge slider

Definition at line 323 of file ratesdlg.cpp.

## Field Documentation

## ◆ current_max

int fc_double_edge::current_max

Definition at line 67 of file ratesdlg.h.

Referenced by fc_double_edge(), mouseMoveEvent(), mousePressEvent(), paintEvent(), tax_rates_dialog::slot_apply_button_pressed(), and tax_rates_dialog::slot_ok_button_pressed().

## ◆ current_min

int fc_double_edge::current_min

Definition at line 66 of file ratesdlg.h.

Referenced by fc_double_edge(), mouseMoveEvent(), paintEvent(), tax_rates_dialog::slot_apply_button_pressed(), and tax_rates_dialog::slot_ok_button_pressed().

## ◆ cursor_pix

QPixmap fc_double_edge::cursor_pix

private

Definition at line 62 of file ratesdlg.h.

Referenced by fc_double_edge(), and paintEvent().

## ◆ cursor_size

double fc_double_edge::cursor_size

private

Definition at line 56 of file ratesdlg.h.

Referenced by mouseMoveEvent(), mousePressEvent(), and paintEvent().

## ◆ max_rates

int fc_double_edge::max_rates

private

Definition at line 61 of file ratesdlg.h.

Referenced by fc_double_edge(), and mouseMoveEvent().

## ◆ mouse_x

double fc_double_edge::mouse_x

private

Definition at line 57 of file ratesdlg.h.

Referenced by fc_double_edge(), mouseMoveEvent(), and mousePressEvent().

## ◆ moved

int fc_double_edge::moved

private

Definition at line 58 of file ratesdlg.h.

Referenced by fc_double_edge(), mouseMoveEvent(), and mousePressEvent().

## ◆ on_max

bool fc_double_edge::on_max

private

Definition at line 60 of file ratesdlg.h.

Referenced by fc_double_edge(), and mouseMoveEvent().

## ◆ on_min

bool fc_double_edge::on_min

private

Definition at line 59 of file ratesdlg.h.

Referenced by fc_double_edge(), and mouseMoveEvent().